Find suitable name for the Freetext- or Name-Editor
09/03/2021 01:53 PM - Andreas Kohlbecker

Status: Closed Start date:
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.27

Severity: normal

Description

So far, we don't have a commonly accepted name for the "Freetext- or Name- or Wathever-Editor" which is consistently being used
everywhere and by everyone.

Current suggestions are:

e Taxon-Editor

¢ Name-Editor
Freitext-Editor

¢ Synonymie-Editor

Name-Editor is being used in the documentation for historic reasons.

Below the most recent email discussion on this topic which was started on Tuesday, August 03, 2021 11:26 AM:

Versténdnisfrage: was bezeichnet ihr denn aktuell mit Namenseditor? Den ganz normalen Freitextbereich, in dem man die Namen
und die nomenklatorischen Referenzen eingibt? Ich frage deshalb, weil man da ja nicht nur Namen, sondern die Taxa editiert (also
Synonymien editiert). Es gab da mal eine Diskussion und Entscheidung, wie dieser zentrale Bereich zu bezeichnen ist, ich kann mich
an das Ergebnis aber nicht mehr erinnern.

Viele GriiBe, Eckhard

Hallo Eckhard,

entschuldige ja, ich meinte den Freitext Editor. Ich bezeichne den auch meistens als Freitext-Editor, aber es gab vor kurzem eine
e-mail Diskussion mit Walter, wo er diesen Teil des Editors als NameEditor bezeichnete und den Namen besser fand. Ich suche

nochmal, was bei der Diskussion heraus gekommen ist, bzw ist der Begriff dann ja auch im Manual genutzt worden.

Viele GriiBe
Katja

Hallo,
ja, das Ergebnis dieser Diskussion wiirde mich interessieren. Wie wir gerade gesehen haben, kann die Bezeichnung ,Namenseditor*
zu Missverstandnissen fuhren. Im Details View gibt es ja dann sowohl Daten zum Taxon, als auch zum Namen. Der zentrale Bereich
ist nach meinem Versténdnis keineswegs ein reiner Namens-Editor, wenn Walter das so besser findet, frage ich mich warum....
Viele Grufe, Eckhard
Hallo,
eine wirklich gute Bezeichnung fir diesen Editor suchen wir schon lange und es gab diverse Vorschlédge zur Benennung:

¢ Taxon-Editor

* Name-Editor

¢ Freitext-Editor

¢ Synonymie-Editor

o .7

"Synonymie-Editor" war ehemals mein Favorit, ist aber auch nicht ganz korrekt, da man in diesem Editor auch MANs editieren kann.
Viele Gri3e
Andreas

Hallo,
im Manual steht auch noch Namenseditor, wahrscheinlich sind wir damals nicht zu einer eindeutigen Lésung gekommen.
Ich finde den Begriff Freitext Editor eigentlich auch am besten, weil man halt vieles bearbeiten kann und daher ist es ungunstig es

mit einem speziellen Thema zu betiteln.

Viele GriiBe
Katja

Related issues:

Related to EDIT - discussion #1410: DISCUSS - CDM product names Closed 03/11/2022 03/22/2022
Precedes EDIT - bug #9819: Rename "Nameeditor" to "Taxon Editor" in menus Closed
History

#1 - 09/06/2021 10:46 AM - Andreas Kohlbecker

Also Freitext Editor?
@Katja Hast du die Email-Diskussion zu diesem Thema mit Walter denn gefunden und zu welchem Ergebnis seid ihr damals gekommen?

Viele GruBe
Andreas

ich hatte gesucht, aber leider keine Entscheidung gefunden. Irgendwie hatte ich das anders in Erinnerung, aber anscheinend haben wir uns damals
auch nicht auf einen Begriff geeinigt.

Viele GruBBe
Katja

#2 - 09/06/2021 03:22 PM - Andreas Miuller

Ein alterer Thread zum Thema:
WGB:

ok, verstanden. Ich finde finde den Begriff Taxon Node fiir die konkrete Stelle im Classification Tree auch gut, insbesondere im phylogentischen
Kontext ist das leicht vermittelbar. Placement verbinde ich eher mit der Position des Nodes und dem Akt der Plazierung (wie in Placement
Reference). Der Node ist fir mich mehr.

Zum Name Editor: Was spricht denn eigentlich dagegen, von Taxon Editor zu reden? Ich glaube, wir hatten das verworfen, weil wir auch TaxEditor fur
das ganze ,Taxonomic Editor" Programm sagen, aber ich finde, da besteht eigentlich (zumindest im Kontext) keine Verwechslungsgefahr.

AM:

fur den ,Name Editor" stimmt ,Taxon Node Editor” derzeit definitiv nicht. Hier wird derzeit NUR das Taxon, nicht aber der Taxon Node editiert. Zu
sehen daran, dass wenn ich ein Taxon in mehreren Klassifikationen verwende, sich immer der gleiche Editor 6ffnet und daran, dass die Taxon
Knoten Daten in einem extra Dialog bearbeitet werden missen. Ob das Sinn macht, dariiber kdnnte man noch diskutieren.

Zum Begriff: du hast kirzlich in anderen Kontext ,Placement” verwendet. Den Begriff fand ich sehr gut und er ist, anders als ,Node*, glaube ich fiir
taxonomische Nutzer bei weitem versténdlicher. Daher wollte ich auch schon fragen, ob wir im Ul nicht grundsatzlich den Begriff Taxon Node in
Placement oder Taxon Placement (je nach Kontext) umbenennen wollen. Im Modell wiirde ich es lassen, da ist ein kurzer Begriff sinnvoll und ein
technischer Begriff akzeptabel.

WGB:

ja, gerne — ich habe immer Schwierigkeiten, den Namen zu vermitteln.

Die Funktion ist ja schon sehr zentral — korrigiert mich, aber es gibt doch eigentlich keine andere Struktur von der aus man so viele Moglichkeiten zur
Verknipfung und zum Editieren hat. Der ,Knoten“ Begriff trifft das ja im Deutschen ganz gut — analog zum Verkehrsknoten. Kann aber nur meinen
Vorschlag erneuern — Taxon Node Editor ist auch nicht ganz so technisch, wie ich unten meinte — nur das man den im Englischen leider Hub nennt
und Taxon Hub passt nicht. Habe auch mein WordWeb konsultiert und nichts besseres gefunden.

AK:

dieser Diskussion kénnten wir bei Gelegenheit mal wieder aufgreifen ;-)
WGB:

mir ist der Begriff ,Synonymie* hier gar nicht recht (wie auch im Portal), wenn die Zusammenfassung von Nomenklatur, Akzeptanz und
Konzeptzuweisung gemeint ist, fir die ja der Name Editor den zentralen Zugang darstellt.

Ist das nicht eigentlich der ,Taxon Node Editor“, da hier ja das Taxon (-Konzept, einschl. der Synonyme) im Rahmen einer Klassifikation bearbeitet
wird?

Der Begriff Taxon Node ist zwar flr uns sehr klar, aber vielleicht sollten wir erst einmal Uber diesen Begriff nachdenken. Fir den Taxonomen als
Benutzer ist es ja sehr wichtig, dieses Konzept zu verstehen, da es ja ganz grundlegend fir die Anwendung ist. Mir fallt aber spontan kein anderer
(weniger technischer) Begriff ein. Euch?

AK:

Hallo Walter,

einen neuen Namen flr den ,Name Editor* habe wir noch nicht. Es gibt lediglich das Ergebniss der Diskussion in
https://dev.e-taxonomy.eu/redmine/issues/8578 woraus hervorgeht dass er als "* Editor" benannt werden sollte.

Was wir fir das Sternchen einsetzen ist aber noch offen. "Name" finde ich unpassend "Taxon" auch nicht so gut. Am ehesten trifft es doch
"Synonymy Editor"?

WGB:

[hatten wir eigentlich schon einen neuen Namen fir den ,Name Editor” festgelegt?]

#3 - 09/06/2021 03:43 PM - Andreas Miiller

Name-Editor is being used in the documentation for historic reasons.

Historically Cherian was using this term intensively. One day we decided that this should be the preferred name and everybody should use it in order
to have one preferred name for this editor even it might semantically not be 100% the correct term.

#4 - 09/06/2021 03:56 PM - Andreas Miiller
AM:

Freitext-Editor finde ich persdnlich nicht schlecht, hochstens, au3er das in Zukunft auch mal andere Freitext Editoren hinzukommen kénnen und dass
das dann nicht mehr eindeutig ist. Z.B. gibt es Bereits Freitext bzw. Parse-Felder fiirs Datum.
Wie wére Taxon-Freetext-Editor. Etwas lang aber semantisch recht eindeutig.

#5 - 09/09/2021 10:51 AM - Andreas Miiller
WGB:

“Name Editor” ist tatsachlich historisch, und muss immer so erklart werden. Einen technischen Namen (,Freetext-Editor”) finde ich aber nicht schon,
auch weil die Technik ja auch woanders genutzt werden kann. Da der Editor primar aus dem ,Taxon Navigator* ge6ffnet wird und immer das Taxon
(der Taxon-Name mit seinen Synonymen) im Zentrum steht, fande ich eigentlich , Taxon Editor* am treffendsten.

AM:

»Taxon Editor” finde ich auch besser als ,Name Editor”. Allerdings gibt es da wieder die Verwechslungsgefahr mit dem Taxon Bulk Editor. Ausléser
dieser Mail war ja die entsprechende Verwechslung von ,Name Editor“ mit ,Name Bulk Editor".
Daher féande ich wie gesagt die eindeutige Bezeichnung ,Taxon Freetext Editor* am besten. Allerdings ist sie natlrlich ein bisschen langer.

#6 - 09/09/2021 12:34 PM - Andreas Kohlbecker

Die Verwechslungsgefahr zwischen "Name Editor" und "Name Bulk Editor" kommt vermutlich auch daher, dass bei den Bulkeditoren das Singular
verwendet wird. Wir sollten hier besser von "Names Bulk Editor", "Taxa Bulk Editor" etc sprechen, dann ist automatisch klar, dass es dabei um die
Bearbeitung mehrerer ltems eines Typen geht. Dann kénnten wir "Taxon Editor" sagen und missten nicht diesen schrecklich langen Namen ,Taxon
Freetext Editor“ verwenden, der doch sehr sperrig ist und dann bestimmt im allgemeinen Sprachgebrauch wieder auf "Taxon Editor" verklrzt wird.

Viele GruB3e
Andreas

#7 - 09/14/2021 09:10 PM - Andreas Miiller

- Status changed from New to Resolved

- Assignee changed from Katja Luther to Andreas Miiller
- % Done changed from 0 to 50

WGB:

einverstanden, das ist eine gute Lésung, ich ware nicht fur ,Freetext".
Eine Frage wére noch, ob wir bei ,Bulk” Editor bleiben, ich fande ,Catalogue-Editor” besser — der Begriff Catalogue wird in der Doku an mehreren
Stellen benutzt, auch um den ,Bulk Editor” zu erkléren.

Das sollten wir mdéglichst schnell entscheiden, da ich mich ja gerade durch die ganze Doku arbeite.

Zusatzlich sollte aber der dem Taxon Editor entsprechende Name Editor (fir einzelne Namen) auf die Ticket-Liste, so dass auch Leute ohne
Bulk-Berechtigung Namen aus der Suche heraus editieren kénnen.

AM:

ok, wenn allgemein ,Taxon Editor* préferiert wird, wiirde ich mich dem anschlieBen. Allerdings finde ich die Verwechslungsgefahr nicht nur zum Bulk
Editor sondern auch zu ,TaxEditor®, der ja auch oft ,Taxon Editor” genannt, schon kritisch. Diese Benennung wird m.E. auch in Zukunft dazu fiihren,
dass nicht alle vom gleichen sprechen und das war soweit ich mich erinnere auch einer der Griinde, warum sich diese Bezeichnung nicht so
durchgesetzt hat, obwohl sie regelméaBig verwendet wurde.

Zudem behandelt der Taxon Editor ja nicht alle Teile des Taxons, da z.B. Faktendaten und Media in separatem Views bearbeitet werden. Wir
mussten uns also auch noch darauf einigen, ob wir mit ,Taxon Editor” die ganze Kombination aus Freitext-Bereich, Details-View, Factual Data View,
Media View und Supplemental Data View meinen, oder nur den Teil, in dem via Freitext Nomenklatur, Synonymie und tiw. Taxonbeziehungen
bearbeitet werden.

Zu Catalogue <->Bulk: da bin ich leidenschaftslos, da ich nicht weif3, was im Englischen besser verstandlich ist. Ich persénliche benutze meist ,Liste",
wenn ich umschreiben will, was dort editiert wird. Aber das trifft es sicherlich auch nicht unbedingt genau. Insbesondere auch nicht beim Specimen
Tree Editor. Der Vorteil von ,Bulk*” ist, dass er eingefuhrt ist. Wenn wir jetzt alles umbenennen, sollten wir es dann aber am Stiick machen, und nicht
Stlick fur Stlick. Passt ja vielleicht auch zur derzeitigen Entwicklung im Bo ganz gut ;-)

Nadja, Eckhard, Norbert — was meint Ihr? Zu Taxon Editor und zu Catalogue vs. Bulk?

Ich fande es gut, wenn wir fur die Software den Begriff TaxEditor verwenden wiirden — mache ich, glaube ich, miindlich immer und nur in der
Introduction-Doku wurde noch der Begriff Taxonomic Editor verwandt, das habe ich schon geéndert. Es gibt aber zwei Stellen, die die Installation
bzw. das Meni betreffen:

This will create a folder EDIT Taxonomic Editor. Within that folder, there is the file TaxonomicEditor.exe.

Und

You can change the order to alphabetical order of names in the Menu under Window —> Local Preferences -> Taxonomic Editor -> Ul -> Taxon
Navigator.

Ist es schwierig, das umzustellen?
Und vielleicht kann man den Namen TaxEditor beim Offnen des Clients auch irgendwie herausstellen?
Damit kénnte man das Verwechslungsproblem m.A.n. I16sen.

AM:

Window —> Local Preferences -> Taxonomic Editor -> Ul -> Taxon Navigator.

Hier stimmt Taxonomic Editor sowieso nicht mehr. Kann ersatzlos gestrichen werden. Die Zwischenstufe gibt es schon seit langerem nicht mehr.
This will create a folder EDIT Taxonomic Editor. Within that folder, there is the file TaxonomicEditor.exe.

Das zu &ndern, wére ich persodnlich vorsichtig. Das erzeugt einige Zusatzarbeit bei existierenden Usern und ist m.E. nicht notwendig. Wir hatten uns

glaube ich damals auch entschieden das ,EDIT Taxonomic Editor” die giltige Langform der Software ist, und , TaxEditor“ eben die gangige Kurzform.

Dateien heiBen auch bei anderer Software oft nicht genauso wie die Software selber. Das ist m.E. kein ernsthaftes Problem.

AK:

Ok, wie auch immer diese Diskussion um den Tax[a-z\s]*Editor ausgeht.

Hier sind noch zwei weitere Stellen an denen der Name Taxonomic Editor verwendet wird:

https://cybertaxonomy.eu/download/taxeditor/stable/

und der Applikations-Ordner Name ist Produktname ist "EDIT Taxonomic Editor" , das ist das Verzeichnis, dass heraus kommt wenn man die
downloadbaren Archive auspackt.

ERS:

Taxon Editor finde ich gut und die Verwechslungsgefahr gering. Das ist der zentrale Bereich, und ein Taxon ist die zentrale Einheit, die wir
bearbeiten. Alles andere héngt daran.

@Andreas: zu deinem Einwand meine ich, dass es in dieser Diskussion doch darum geht, eine Bezeichnung fir eben diesen Freitext-Editor zu
finden, der eingegebene Namen und Referenzen parst. Die anderen Bereiche gehéren meiner Meinung nach nicht dazu (inhaltlich schon zum Taxon,
wie du schreibst, aber sie werden ja woanders bearbeitet). Den Begriff Taxon Editor auf diese Bereiche auszudehnen, finde ich total verwirrend.

Den gut eingefuihrten Begriff Bulk Editor durch Catalogue Editor zu ersetzen, finde ich erstmal problematisch, aber vielleicht ist es auch nur
gewdhnungsbediirftig. Richtig intuitiv sind eigentlich beide nicht, sondern bediirfen fir neue Nutzer sowieso einer Erklarung.

WGB:
vielen Dank an Eckhard, die Sache mit dem Catalogue Editor kénnen wir von mir aus aufschieben.

Wenn also keine Proteste kommen, nehme ich jetzt mit, dass wir den ,Name Editor" in ,Taxon Editor* umbenennen, fir die Software normalerweise
~TaxEditor® (als Abkurzung fur Taxonomic Editor) verwenden, nur beim Installationspfad und Dateiname der .exe-Datei bei ,, Taxonomic Editor*
bleiben.

NoK:

ich war anscheinend zwischenzeitlich aus der Diskussion gefallen.
Habe aber keine Einwande gegen "Taxon Editor" fir den friiheren Freitext Editor.

NaK:

ich habe auch keine Einwande.

#8 - 09/14/2021 09:12 PM - Andreas Miiller
- Status changed from Resolved to Closed

- % Done changed from 50 to 100

We decided to use "Taxon Editor" for the formerly labeled "Name Editor" and not to change "bulk editor" labels for now.

So we can close this ticket | guess.

#9 - 09/14/2021 09:18 PM - Andreas Kohlbecker

#10 - 09/21/2021 02:11 PM - Andreas Miiller

- Target version changed from Release 5.45 to Release 5.27

#11 - 10/18/2021 03:07 PM - Andreas Miiller

- Precedes bug #9819: Rename "Nameeditor" to "Taxon Editor" in menus added

#12 - 03/21/2022 11:20 PM - Andreas Miiller
- Related to discussion #1410: DISCUSS - CDM product names added
